## mercury 0.11.0.rotd.20040511-5

=== boehm_gc/Makefile ===
#-----------------------------------------------------------------------------#
# WARNING: the original copy of this file resides in Makefile.direct.
# Any changes made here must be also made there (and vice versa).
#-----------------------------------------------------------------------------#
# WARNING: This makefile is not safe for parallel makes.
# This makefile should only be invoked with `-j1'.
#
# (The reason parallel makes break is because of the use of constructs like
# `./if_not_there on_sparc_sunos5_so $(MAKE) dyn_load.o)' to handle
# OS-specific dependencies; this can lead to one process noticing
# a partially build dyn_load.o and trying to use it before it is
# completely built.)
#-----------------------------------------------------------------------------#
# I have modified this file.
# I've added a different rule for the libgc.a target,
# added the `include ../Mmake.common' line,
# and changed the rule for libgc.so to use the $(LINK_SHARED_LIB) macro
# defined in ../Mmake.common.
# I've change the definitions of CC, AS, and CFLAGS.
# I've also modified the stuff to support for DLLs on gnu-win32
#	- fjh.
#-----------------------------------------------------------------------------#

MERCURY_DIR=..
LINK_BOEHM_GC_ONLY=yes
include ../Mmake.common

# This is the original manually generated Makefile.  It may still be used
# to build the collector.
#
# Primary targets:
# gc.a - builds basic library
# c++ - adds C++ interface to library
# cords - adds cords (heavyweight strings) to library
# test - prints porting information, then builds basic version of gc.a,
#      	 and runs some tests of collector and cords.  Does not add cords or
#	 c++ interface to gc.a
# cord/de - builds dumb editor based on cords.

ABI_FLAG= 
# ABI_FLAG should be the cc flag that specifies the ABI.  On most
# platforms this will be the empty string.  Possible values:
# +DD64 for 64-bit executable on HP/UX.
# -n32, -n64, -o32 for SGI/MIPS ABIs.
#

AS_ABI_FLAG=$(ABI_FLAG)
# ABI flag for assembler.  On HP/UX this is +A64 for 64 bit
# executables.

# CC=cc $(ABI_FLAG)

# Mercury-specific definition of CC.
CC=../scripts/mgnuc --grade $(GRADE) --no-ansi --no-check --no-mercury-stdlib-dir

CXX=g++ $(ABI_FLAG)
# Needed only for "make c++", which adds the c++ interface

# AS=as $(AS_ABI_FLAG)
#  The above doesn't work with gas, which doesn't run cpp.
#  Define AS as `gcc -c -x assembler-with-cpp' instead.
#  Under Irix 6, you will have to specify the ABI (-o32, -n32, or -64)
#  if you use something other than the default ABI on your machine.
# Mercury-specific AS:
AS=../scripts/mgnuc --grade $(GRADE) --assemble

# Redefining srcdir allows object code for the nonPCR version of the collector
# to be generated in different directories.
srcdir= .
VPATH= $(srcdir)

# CFLAGS= -O -I$(srcdir)/include -DATOMIC_UNCOLLECTABLE -DNO_SIGNALS \
#	-DNO_EXECUTE_PERMISSION -DSILENT -DALL_INTERIOR_POINTERS

# To build the parallel collector on Linux, add to the above:
# -DGC_LINUX_THREADS -DPARALLEL_MARK -DTHREAD_LOCAL_ALLOC
# To build the parallel collector in a static library on HP/UX,
# add to the above:
# -DGC_HPUX_THREADS -DPARALLEL_MARK -DTHREAD_LOCAL_ALLOC -DUSE_HPUX_TLS -D_POSIX_C_SOURCE=199506L
# To build the thread-safe collector on Tru64, add to the above:
# -pthread -DGC_OSF1_THREADS

# Mercury-specific CFLAGS:
CFLAGS= -I$(srcdir)/include \
	-DSILENT -DNO_DEBUGGING -DNO_EXECUTE_PERMISSION \
	$(CFLAGS_FOR_PIC) $(DLL_CFLAGS) $(EXTRA_CFLAGS)
# Note that the `mgnuc' script also passes -DNO_SIGNALS, unless
# profiling was enabled (see comments in runtime/mercury_prof_mem.h for why).
# We need $(CFLAGS_FOR_PIC) because we might be building a shared library.

# HOSTCC and HOSTCFLAGS are used to build executables that will be run as
# part of the build process, i.e. on the build machine.  These will usually
# be the same as CC and CFLAGS, except in a cross-compilation environment.
# Note that HOSTCFLAGS should include any -D flags that affect thread support.
HOSTCC=$(CC)
HOSTCFLAGS=$(CFLAGS)

# For dynamic library builds, it may be necessary to add flags to generate
# PIC code, e.g. -fPIC on Linux.

# Setjmp_test may yield overly optimistic results when compiled
# without optimization.

# These define arguments influence the collector configuration:
# -DSILENT disables statistics printing, and improves performance.
# -DFIND_LEAK causes GC_find_leak to be initially set.
#   This causes the collector to assume that all inaccessible
#   objects should have been explicitly deallocated, and reports exceptions.
#   Finalization and the test program are not usable in this mode.
# -DGC_SOLARIS_THREADS enables support for Solaris (thr_) threads.
#   (Clients should also define GC_SOLARIS_THREADS and then include
#   gc.h before performing thr_ or dl* or GC_ operations.)
#   Must also define -D_REENTRANT.
# -DGC_SOLARIS_PTHREADS enables support for Solaris pthreads.
#   (Internally this define GC_SOLARIS_THREADS as well.)
# -DGC_IRIX_THREADS enables support for Irix pthreads.  See README.irix.
# -DGC_HPUX_THREADS enables support for HP/UX 11 pthreads.
#   Also requires -D_REENTRANT or -D_POSIX_C_SOURCE=199506L. See README.hp.
# -DGC_LINUX_THREADS enables support for Xavier Leroy's Linux threads.
#   see README.linux.  -D_REENTRANT may also be required.
# -DGC_OSF1_THREADS enables support for Tru64 pthreads.  Untested.
# -DGC_FREEBSD_THREADS enables support for FreeBSD pthreads.  Untested.
#   Appeared to run into some underlying thread problems.
# -DGC_DARWIN_THREADS enables support for Mac OS X pthreads.  Untested.
# -DGC_DGUX386_THREADS enables support for DB/UX on I386 threads.
#   See README.DGUX386.
# -DGC_WIN32_THREADS enables support for win32 threads.  That makes sense
#   for this Makefile only under Cygwin.
# -DGC_THREADS should set the appropriate one of the above macros.
#   It assumes pthreads for Solaris.
# -DALL_INTERIOR_POINTERS allows all pointers to the interior
#   of objects to be recognized.  (See gc_priv.h for consequences.)
#   Alternatively, GC_all_interior_pointers can be set at process
#   initialization time.
# -DSMALL_CONFIG tries to tune the collector for small heap sizes,
#   usually causing it to use less space in such situations.
#   Incremental collection no longer works in this case.
# -DLARGE_CONFIG tunes the collector for unusually large heaps.
#   Necessary for heaps larger than about 500 MB on most machines.
#   Recommended for heaps larger than about 64 MB.
# -DDONT_ADD_BYTE_AT_END is meaningful only with -DALL_INTERIOR_POINTERS or
#   GC_all_interior_pointers = 1.  Normally -DALL_INTERIOR_POINTERS
#   causes all objects to be padded so that pointers just past the end of
#   an object can be recognized.  This can be expensive.  (The padding
#   is normally more than one byte due to alignment constraints.)
#   -DDONT_ADD_BYTE_AT_END disables the padding.
# -DNO_SIGNALS does not disable signals during critical parts of
#   the GC process.  This is no less correct than many malloc 
#   implementations, and it sometimes has a significant performance
#   impact.  However, it is dangerous for many not-quite-ANSI C
#   programs that call things like printf in asynchronous signal handlers.
#   This is on by default.  Turning it off has not been extensively tested with
#   compilers that reorder stores.  It should have been.
# -DNO_EXECUTE_PERMISSION may cause some or all of the heap to not
#   have execute permission, i.e. it may be impossible to execute
#   code from the heap.  Currently this only affects the incremental
#   collector on UNIX machines.  It may greatly improve its performance,
#   since this may avoid some expensive cache synchronization.
# -DGC_NO_OPERATOR_NEW_ARRAY declares that the C++ compiler does not support
#   the  new syntax "operator new[]" for allocating and deleting arrays.
#   See gc_cpp.h for details.  No effect on the C part of the collector.
#   This is defined implicitly in a few environments.  Must also be defined
#   by clients that use gc_cpp.h.
# -DREDIRECT_MALLOC=X causes malloc to be defined as alias for X.
#   Unless the following macros are defined, realloc is also redirected
#   to GC_realloc, and free is redirected to GC_free.
#   Calloc and strdup are redefined in terms of the new malloc.  X should
#   be either GC_malloc or GC_malloc_uncollectable, or
#   GC_debug_malloc_replacement.  (The latter invokes GC_debug_malloc
#   with dummy source location information, but still results in
#   properly remembered call stacks on Linux/X86 and Solaris/SPARC.
#   It requires that the following two macros also be used.)
#   The former is occasionally useful for working around leaks in code
#   you don't want to (or can't) look at.  It may not work for
#   existing code, but it often does.  Neither works on all platforms,
#   since some ports use malloc or calloc to obtain system memory.
#   (Probably works for UNIX, and win32.)  If you build with DBG_HDRS_ALL,
#   you should only use GC_debug_malloc_replacement as a malloc
#   replacement.
# -DREDIRECT_REALLOC=X causes GC_realloc to be redirected to X.
#   The canonical use is -DREDIRECT_REALLOC=GC_debug_realloc_replacement,
#   together with -DREDIRECT_MALLOC=GC_debug_malloc_replacement to
#   generate leak reports with call stacks for both malloc and realloc.
#   This also requires the following:
# -DREDIRECT_FREE=X causes free to be redirected to X.  The
#   canonical use is -DREDIRECT_FREE=GC_debug_free.
# -DIGNORE_FREE turns calls to free into a noop.  Only useful with
#   -DREDIRECT_MALLOC.
# -DNO_DEBUGGING removes GC_dump and the debugging routines it calls.
#   Reduces code size slightly at the expense of debuggability.
# -DJAVA_FINALIZATION makes it somewhat safer to finalize objects out of
#   order by specifying a nonstandard finalization mark procedure  (see
#   finalize.c).  Objects reachable from finalizable objects will be marked
#   in a sepearte postpass, and hence their memory won't be reclaimed.
#   Not recommended unless you are implementing a language that specifies
#   these semantics.  Since 5.0, determines only only the initial value
#   of GC_java_finalization variable.
# -DFINALIZE_ON_DEMAND causes finalizers to be run only in response
#   to explicit GC_invoke_finalizers() calls.
#   In 5.0 this became runtime adjustable, and this only determines the
#   initial value of GC_finalize_on_demand.
# -DATOMIC_UNCOLLECTABLE includes code for GC_malloc_atomic_uncollectable.
#   This is useful if either the vendor malloc implementation is poor,
#   or if REDIRECT_MALLOC is used.
# -DHBLKSIZE=ddd, where ddd is a power of 2 between 512 and 16384, explicitly
#   sets the heap block size.  Each heap block is devoted to a single size and
#   kind of object.  For the incremental collector it makes sense to match
#   the most likely page size.  Otherwise large values result in more
#   fragmentation, but generally better performance for large heaps.
# -DUSE_MMAP use MMAP instead of sbrk to get new memory.
#   Works for Solaris and Irix.
# -DUSE_MUNMAP causes memory to be returned to the OS under the right
#   circumstances.  This currently disables VM-based incremental collection.
#   This is currently experimental, and works only under some Unix,
#   Linux and Windows versions.
# -DMMAP_STACKS (for Solaris threads) Use mmap from /dev/zero rather than
#   GC_scratch_alloc() to get stack memory.
# -DPRINT_BLACK_LIST Whenever a black list entry is added, i.e. whenever
#   the garbage collector detects a value that looks almost, but not quite,
#   like a pointer, print both the address containing the value, and the
#   value of the near-bogus-pointer.  Can be used to identifiy regions of
#   memory that are likely to contribute misidentified pointers.
# -DKEEP_BACK_PTRS Add code to save back pointers in debugging headers
#   for objects allocated with the debugging allocator.  If all objects
#   through GC_MALLOC with GC_DEBUG defined, this allows the client

=== robdd/Makefile ===
#  File     : Makefile
#  RCS      : $Id: Makefile,v 1.1 2000/03/10 05:17:20 dmo Exp $
#  Author   : Peter Schachte
#  Origin   : 1995
#  Purpose  : Makefile for bryant graph (ROBDD) manipulation code


TESTS=	test_abexit test_abunify test_iff test_glb test_rglb test_rename \
	test_restrict test_var test_vars
TESTOS=	test_abexit.o test_abunify.o test_iff.o test_glb.o test_rglb.o \
	test_rename.o test_restrict.o test_var.o test_vars.o

COMMONOS=bryant.o bryantPrint.o
SOOS=$(COMMONOS)
OS=$(COMMONOS) timing.o
RELFILES=bryant.c bryant.h bryantPrint.c var.h Makefile \
	 test_abexit.c test_iff.c test_rglb.c test_abunify.c test_rename.c \
	 test_var.c test_glb.c test_restrict.c test_vars.c test_upclose.c
GENFILES=$(COMMONOS) $(TESTOS)

# Amiga options
#LINKSW=LINK PNAME
#DEF=DEFINE=
#MSGS=
#RM=delete quiet
#MV=move clone
#MKDIR=makedir
#DEBUG=DEBUG=SF NOOPT DEFINE=DEBUGALL
#OPTIMIZE=OPTIMIZE NODEBUG DEFINE=NDEBUG
#MAKE=smake
#LIBS=
#SOLIBS=

# Unix options
LINKSW=-o
DEF=-D
MSGS=-Wall
RM=rm -f
MV=mv
MKDIR=mkdir
DEBUG=-g -DDEBUGALL
OPTIMIZE=-O3 -DNDEBUG -funroll-loops
CC=gcc -I../mylib -I/usr/ucbinclude -I. -ansi
LIBDIRS=-L/home/staff/pets/quintus/bin3.2/sun4-5
#LIBS= -L/usr/ucblib -lucb
LIBS=
SOLIBS=
OLIBS=-lqp
SOOPTS=-fpic


# General options

CHOSENOPTIM=$(OPTIMIZE)
#CHOSENOPTIM=$(DEBUG)

#OPTS=$(DEF)COMPUTED_TABLE $(DEF)EQUAL_TEST
OPTS=$(DEF)CLEAR_CACHES $(DEF)COMPUTED_TABLE $(DEF)EQUAL_TEST
#OPTS=$(DEF)CLEAR_CACHES $(DEF)COMPUTED_TABLE $(DEF)EQUAL_TEST $(DEF)STATISTICS
#WHICH=NAIVE
#WHICH=OLD
#WHICH=USE_THRESH
#WHICH=USE_RGLB
WHICH=NEW

QOPT=
#QOPT=$(DEF)QUINTUS

RSET=$(DEF)RESTRICT_SET


# Main makefile

CFLAGS=$(CHOSENOPTIM) $(DEF)$(WHICH) $(OPTS) $(RSET) $(QOPT) $(MSGS) $(EXTRAOPTS)

all: $(TESTS)

everything: alltests allsos

alltests: naive old thresh rglb new

naive-enum:	naive-enumtests
	$(MAKE) clean
	$(MAKE) WHICH=NAIVE RSET= all
	$(RM) naive-enumtests/*
	$(MV) $(TESTS) naive-enumtests

old-enum:	old-enumtests
	$(MAKE) clean
	$(MAKE) WHICH=OLD RSET= all
	$(RM) old-enumtests/*
	$(MV) $(TESTS) old-enumtests

naive:	naivetests
	$(MAKE) clean
	$(MAKE) WHICH=NAIVE all
	$(RM) naivetests/*
	$(MV) $(TESTS) naivetests

old:	oldtests
	$(MAKE) clean
	$(MAKE) WHICH=OLD all
	$(RM) oldtests/*
	$(MV) $(TESTS) oldtests

thresh:	threshtests
	$(MAKE) clean
	$(MAKE) WHICH=USE_THRESH all
	$(RM) threshtests/*
	$(MV) $(TESTS) threshtests

rglb:	rglbtests
	$(MAKE) clean
	$(MAKE) WHICH=USE_RGLB all
	$(RM) rglbtests/*
	$(MV) $(TESTS) rglbtests

new:	newtests
	$(MAKE) clean
	$(MAKE) WHICH=NEW all
	$(RM) newtests/*
	$(MV) $(TESTS) newtests


allsos:	naiveso oldso threshso rglbso newso bryant.so

naiveso:	naivetests
	$(MAKE) clean
	$(MAKE) WHICH=NAIVE QOPT=$(DEF)QUINTUS EXTRAOPTS=$(SOOPTS) rep.so
	$(RM) naivetests/rep.so
	$(MV) rep.so naivetests

oldso:	oldtests
	$(MAKE) clean
	$(MAKE) WHICH=OLD QOPT=$(DEF)QUINTUS EXTRAOPTS=$(SOOPTS) rep.so
	$(RM) oldtests/rep.so
	$(MV) rep.so oldtests

threshso:	threshtests
	$(MAKE) clean
	$(MAKE) WHICH=USE_THRESH QOPT=$(DEF)QUINTUS EXTRAOPTS=$(SOOPTS) rep.so
	$(RM) threshtests/rep.so
	$(MV) rep.so threshtests

rglbso:	rglbtests
	$(MAKE) clean
	$(MAKE) WHICH=USE_RGLB QOPT=$(DEF)QUINTUS EXTRAOPTS=$(SOOPTS) rep.so
	$(RM) rglbtests/rep.so
	$(MV) rep.so rglbtests

newso:	newtests
	$(MAKE) clean
	$(MAKE) WHICH=NEW QOPT=$(DEF)QUINTUS EXTRAOPTS=$(SOOPTS) rep.so
	$(RM) newtests/rep.so
	$(MV) rep.so newtests


bryant.so:
	$(MAKE) clean
	$(MAKE) WHICH=NEW QOPT=$(DEF)QUINTUS EXTRAOPTS=$(SOOPTS) $(SOOS)
	gcc -shared -o $@ $(SOOS) $(SOLIBS)


naive-enumtests old-enumtests naivetests oldtests threshtests rglbtests newtests:
	$(MKDIR) $@


bryantPrint.o: bryantPrint.c bryant.h bryantPrint.h

bryant.o: bryant.c bryant.h

test_abexit.o:	test_abexit.c bryant.h timing.h

test_abunify.o:	test_abunify.c bryant.h timing.h

test_iff.o:	test_iff.c bryant.h timing.h

test_glb.o:	test_glb.c bryant.h timing.h

test_rglb.o:	test_rglb.c bryant.h timing.h

test_rename.o:	test_rename.c bryant.h timing.h

test_restrict.o:	test_restrict.c bryant.h timing.h

test_var.o:	test_var.c bryant.h timing.h

test_vars.o:	test_vars.c bryant.h timing.h


rep.so: $(SOOS)
	gcc -shared -o $@ $(SOOS) $(SOLIBS)

rep.o:	$(SOOS)
	gcc -o $@ $(LIBDIRS) $(SOOS) $(OLIBS)

test:	test.o $(OS)
	$(CC) $(LINKSW) $@ test.o $(OS) $(LIBS) LINK

test_abexit:	test_abexit.o $(OS)
	$(CC) $(LINKSW) $@ test_abexit.o $(OS) $(LIBS)

test_abunify:	test_abunify.o $(OS)
	$(CC) $(LINKSW) $@ test_abunify.o $(OS) $(LIBS)

test_iff:	test_iff.o $(OS)
	$(CC) $(LINKSW) $@ test_iff.o $(OS) $(LIBS)

test_glb:	test_glb.o $(OS)
	$(CC) $(LINKSW) $@ test_glb.o $(OS) $(LIBS)

test_rglb:	test_rglb.o $(OS)
	$(CC) $(LINKSW) $@ test_rglb.o $(OS) $(LIBS)

test_rename:	test_rename.o $(OS)
	$(CC) $(LINKSW) $@ test_rename.o $(OS) $(LIBS)

test_restrict:	test_restrict.o $(OS)
	$(CC) $(LINKSW) $@ test_restrict.o $(OS) $(LIBS)

test_var:	test_var.o $(OS)
	$(CC) $(LINKSW) $@ test_var.o $(OS) $(LIBS)

test_vars:	test_vars.o $(OS)
	$(CC) $(LINKSW) $@ test_vars.o $(OS) $(LIBS)

test_upclose:	test_upclose.o $(OS)
	$(CC) $(LINKSW) $@ test_upclose.o $(OS) $(LIBS)

abex:	$(OS) abex.o
	$(CC) $(LINKSW) $@ $@.o $(OS) $(LIBS)

clean:
	- $(RM) $(GENFILES)

distrib:	bryant.tgz

bryant.tgz:	$(RELFILES)
	-$(RM) $@
	tar cvfz $@ $(RELFILES)

tidy:	clean
	- $(RM) $(TESTS)
	- $(RM) *~

=== debian/changelog ===
mercury (0.8.1.rotd19991025-2) unstable; urgency=low

  * Modify path for bootstrapping from a local installation directory

 -- Tyson Dowd <trd@cs.mu.oz.au>  Wed, 27 Oct 1999 07:14:16 -0500

mercury (0.8.1.rotd19991025-1) unstable; urgency=low

  * New upstream version.
  * Now works with egcs 2.95.2  (Fixes #43028, #42016)
  * Can unpack source now using dpkg-source (Fixes #42934, #31268, #39239)
    Although dpkg-source is still broken.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Mon, 25 Oct 1999 16:58:27 +1000

mercury (0.8.1.rotd19990809-1) unstable; urgency=low

  * New upstream version.
  * Update to release of the day version as earlier versions do not
    compile with egcs.
  * Compile against potato (Fixes #39239 and #42016)

 -- Tyson Dowd <trd@cs.mu.oz.au>  Mon,  9 Aug 1999 22:13:48 +0200

mercury (0.8.1-1) unstable; urgency=low

  * New upstream version.
  * Fix handling of egcs.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Mon,  1 Feb 1999 22:39:53 +1100

mercury (0.8-3) unstable; urgency=low

  * Fix PATH so that programs in /usr/local are not found during
    configuration. 

 -- Tyson Dowd <trd@cs.mu.oz.au>  Sun, 27 Dec 1998 02:13:18 +1100

mercury (0.8-2) unstable; urgency=low

  * Fixed configuration to handle assemblers that don't do
    full preprocessing.
  * Added patch required for compiling with egcs-1.1.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Wed, 23 Dec 1998 04:20:46 -0600

mercury (0.8-1) unstable; urgency=low

  * New upstream version.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Wed, 18 Nov 1998 18:21:46 +1100

mercury (0.7.3-3) frozen unstable; urgency=low

  * Put into frozen distribution.
  * Remove some bash-isms from security fix.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Tue, 31 Mar 1998 14:06:14 +1000

mercury (0.7.3-2) unstable; urgency=low

  * Fix security problems with files in /tmp (Fixes #19801).

 -- Tyson Dowd <trd@cs.mu.oz.au>  Sun, 22 Mar 1998 00:07:29 +1100

mercury (0.7.3-1) unstable; urgency=low

  * New upstream version.
  * Remove outdated information in `README.debian' with regard to the
    name of compiler.
  * Update the copyright information.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Fri, 14 Nov 1997 22:21:50 +1000

mercury (0.7-1) unstable; urgency=low

  * Changed maintainer from Milan Zamazal <pdm@fi.muni.cz> to 
    Tyson Dowd <trd@cs.mu.oz.au>.
  * New upstream version.
  * Fixed installation of shared libraries so that hardcoded
    paths for -rpath are set correctly, and so shared libraries
    work.
  * Installed new manpages for Mercury, and some extra README
    files (README.Linux has useful information for Linux users).

 -- Tyson Dowd <trd@cs.mu.oz.au>  Sun, 7 Sep 1997 15:10:06 +1000

mercury (0.6.2-2) unstable; urgency=low

  * Compiled with libc6.
  * Corrected ftp path in the `copyright' file.
  * Info on source compiling in `README.debian'.
  * More descriptive short description string.

 -- Milan Zamazal <pdm@fi.muni.cz>  Mon, 30 Jun 1997 10:26:02 +0200

mercury (0.6.2-1) unstable; urgency=low

  * Initial Release.

 -- Milan Zamazal <pdm@fi.muni.cz>  Tue, 4 Mar 1997 16:01:10 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "pdm@fi.muni.cz"
End:

=== debian/control ===
Source: mercury
Section: devel
Priority: optional
Maintainer: Peter Hawkins <peterh@debian.org>
Build-Depends: debhelper (>= 4.0.0), autotools-dev
Standards-Version: 3.6.1

Package: mercury
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, make
Conflicts: mmake
Description: A new logic/functional programming language 
 Mercury is a new logic/functional programming language, which combines
 the clarity and expressiveness of declarative programming with advanced
 static analysis and error detection features.  Its highly optimized
 execution algorithm delivers efficiency far in excess of existing logic
 programming systems, and close to conventional programming
 systems. Mercury addresses the problems of large-scale program
 development, allowing modularity, separate compilation, and numerous
 optimization/time trade-offs.
 .
 This package contains all the files required for developing programs
 in the Mercury language.

Package: mercury-doc
Architecture: all
Description: Documentation for mercury
 Mercury is a new logic/functional programming language, which combines
 the clarity and expressiveness of declarative programming with advanced
 static analysis and error detection features.  Its highly optimized
 execution algorithm delivers efficiency far in excess of existing logic
 programming systems, and close to conventional programming
 systems. Mercury addresses the problems of large-scale program
 development, allowing modularity, separate compilation, and numerous
 optimization/time trade-offs.
 .
 This package contains the documentation for the Mercury compiler.

## mercury 0.11.0.rotd.20040511-5ubuntu1

=== Makefile ===
#-----------------------------------------------------------------------------#
# Copyright (C) 1995-1998, 2000, 2002 The University of Melbourne. 
# This file may only be copied under the terms of the GNU General
# Public Licence - see the file COPYING in the Mercury distribution.
#-----------------------------------------------------------------------------#
#
# This Makefile just invokes `mmake' to do the real work.
# Standard targets include `all', `install', and `clean'.
#
# If you want to do a parallel make, invoke make as
#	make PARALLEL=-j2
# or
#	make PARALLEL=-j2 install
# (`-j2' is for 2 jobs; you can use `-j3' for 3, etc.)
#
#-----------------------------------------------------------------------------#


SHELL=		/bin/sh
MMAKE=		MMAKE_DIR=`pwd`/scripts scripts/mmake 
MMAKE_SUBDIR=	MMAKE_DIR=`pwd`/../scripts ../scripts/mmake $(PARALLEL)

# PARALLEL=-j2

#-----------------------------------------------------------------------------#

.PHONY: all
all:
	$(MMAKE) MMAKEFLAGS=$(PARALLEL) all 2>&1 | tee make_all.log

.PHONY: libmmc
libmmc:
	$(MMAKE) MMAKEFLAGS=$(PARALLEL) libmmc

.PHONY: install
install:
	$(MMAKE) MMAKEFLAGS=$(PARALLEL) install 2>&1 | tee make_install.log

# `mmake clean' has a different meaning to the usual GNU standard `make clean':
# it removes the .c files, which makes bootstrapping impossible unless you
# have already installed a working Mercury compiler.
# Hence we don't just use `$(MMAKE) clean' here.

.PHONY: clean
clean:
	-rm -f */*.o */*.pic_o */*.a */*.so
	-rm -rf */Mercury/os */Mercury/pic_os */Mercury/libs
	-rm -f compiler/mercury_compile profiler/mercury_profile 
	-rm -f util/mdemangle util/mkinit
	cd boehm_gc; $(MMAKE_SUBDIR) clean

.PHONY: distclean
distclean: clean
	cd scripts; for file in *.in; do rm -f `basename $file .in`; done
	-rm -f Mmake.common runtime/mercury_conf.h
	-rm -f boehm_gc/mercury_boehm_gc_conf.h bindist/bindist.build_vars
	-rm -f config.cache config.status config.log

.PHONY: maintainer-clean
maintainer-clean:
	$(MMAKE) clean

.PHONY: realclean
realclean:
	$(MMAKE) realclean

.PHONY: uninstall
uninstall:
	$(MMAKE) uninstall

.DEFAULT:
	$(MMAKE) $@

#-----------------------------------------------------------------------------#

=== debian/changelog ===
mercury (0.11.0.rotd.20040511-5ubuntu1) feisty; urgency=low

  * Fix build failure with gcc-4.x. Debian #297217.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Apr 2007 20:07:52 +0200

mercury (0.11.0.rotd.20040511-5build1) feisty; urgency=low

  * Rebuild for ldbl128 change on powerpc and sparc.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Nov 2006 10:23:35 +0000

mercury (0.11.0.rotd.20040511-5) unstable; urgency=low

  * Added sparc to the list of architectures that can use asm_fast grades.
  * Fix configure.in for s390 (previous upload only fixed it for s390x).
  * Removed hlc.par.gc from the list of grades built on all architectures.
  * Don't build asm_fast.gc.prof.tr on powerpc. 

 -- Peter Hawkins <peterh@debian.org>  Sat, 17 Jul 2004 11:44:55 +1000

mercury (0.11.0.rotd.20040511-4) unstable; urgency=low

  * Added build dependency on autotools-dev and added code to update
    config.sub and config.guess to debian/rules.
  * Changed maintainer field in debian/control to peterh@debian.org.

 -- Peter Hawkins <peterh@debian.org>  Thu, 15 Jul 2004 22:30:30 +1000

mercury (0.11.0.rotd.20040511-3) unstable; urgency=low

  * Removed subshell invocations from debian/rules so bad builds are caught
    early.
  * Changed compiler grade to be hlc.gc since it is more portable (although
    possibly slower than the LLDS grades on architectures like i386). 
    Since the source package shipped by upstream has precompiled C
    files for LLDS grades, we build our own source packages with 
    precompiled hlc.gc C files.
  * Non-local gotos don't appear to work on hppa or ia64, so build reg grades
    instead of asm_fast grades on those architectures. For unknown
    architectures (eg. arm, s390) we don't have global register support,
    so build none grades.

 -- Peter Hawkins <peter@hawkins.emu.id.au>  Thu, 15 Jul 2004 17:05:11 +1000

mercury (0.11.0.rotd.20040511-2) unstable; urgency=low

  * debian/control, debian/rules: Remove dependency on gcc-3.2 since gcc-3.3
    works for versions 1:3.3.4-3 and above. (closes: #258660)

 -- Peter Hawkins <peter@hawkins.emu.id.au>  Sun, 11 Jul 2004 13:04:30 +1000

mercury (0.11.0.rotd.20040511-1) unstable; urgency=low

  * Updated to upstream unstable ROTD 2004-05-11.
  * Added asm_fast.gc.prof.tr to the list of grades that are compiled.
  * Initial upload to unstable. 

 -- Peter Hawkins <peter@hawkins.emu.id.au>  Thu,  1 Jul 2004 19:28:00 +1000

mercury (0.11.0.rotd.20040327-1) unstable; urgency=low

  * Initial Release.

 -- Peter Hawkins <peter@hawkins.emu.id.au>  Mon,  5 Apr 2004 19:51:58 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mercury
 Section: devel
 Priority: optional
-Maintainer: Peter Hawkins <peterh@debian.org>
+Maintainer: Ubuntu MOTU developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter Hawkins <peterh@debian.org>
 Build-Depends: debhelper (>= 4.0.0), autotools-dev
 Standards-Version: 3.6.1

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=3

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

GRADES_COMMON=hlc.gc
ifneq ($(findstring $(DEB_HOST_ARCH),i386 amd64 powerpc alpha m68k mips sparc),)
	ifneq ($(findstring $(DEB_HOST_ARCH),powerpc),)
		# For some reason asm_fast.gc.prof.tr doesn't build correctly
		# on powerpc
		GRADES=$(GRADES_COMMON),asm_fast.gc,asm_fast.gc.prof,asm_fast.gc.memprof,asm_fast.gc.tr,asm_fast.gc.tr.debug,hlc.gc.prof.tr
	else
		GRADES=$(GRADES_COMMON),asm_fast.gc,asm_fast.gc.prof,asm_fast.gc.memprof,asm_fast.gc.tr,asm_fast.gc.tr.debug,asm_fast.gc.prof.tr 
	endif
else
	ifneq ($(findstring $(DEB_HOST_ARCH),ia64 hppa),)
		GRADES+=$(GRADES_COMMON),reg.gc,reg.gc.prof,reg.gc.memprof,reg.gc.tr,reg.gc.tr.debug,reg.gc.prof.tr
	else
		# arm, mipsel, s390
		GRADES+=$(GRADES_COMMON),none.gc,hlc.gc.prof,hlc.gc.memprof,hlc.gc.tr,none.gc.tr.debug,hlc.gc.prof.tr
	endif
endif
	
configure: configure-stamp
configure-stamp:
	dh_testdir

	(cd build ; \
	tar zxvf ../upstream/mercury-compiler-*.tar.gz ; \
	mv mercury-compiler-* mercury ; \
	)
	cp /usr/share/misc/config.sub /usr/share/misc/config.guess build/mercury/

	# Apply Debian specific patches
	if test ! -f patch-stamp; then \
            for patch in $(CURDIR)/debian/patches/*.diff ; do\
            	echo APPLYING PATCH\: $${patch##*/};\
                (cd build ; patch -p0 < $$patch) ;\
            done ;\
            touch patch-stamp ;\
    fi
	echo "Building grades: $(GRADES)"
	cd build/mercury && \
	CC="$(CC)" BOOTSTRAP_MC="/nonexistent" ./configure --prefix=/usr --enable-libgrades=$(GRADES)
	
	touch configure-stamp


#Architecture 
build: build-stamp
build-stamp: configure-stamp 

	(cd build/mercury ; $(MAKE) $(PMAKEFLAGS) )
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp install-stamp patch-stamp

	rm -rf build/*

	dh_clean 

install: install-stamp

install-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A

	cd build/mercury && \
	  CC="$(CC)" \
	  MERCURY_COMPILER=$(CURDIR)/debian/tmp/usr/lib/mercury/bin/`./config.guess`/mercury_compile \
	  $(MAKE) install INSTALL_PREFIX=$(CURDIR)/debian/tmp/usr $(MAKEFLAGS) 

	cp build/mercury/README build/mercury/README.DotNet \
	   build/mercury/README.Java build/mercury/README.Linux* \
	   build/mercury/README.gcc-backend build/mercury/RELEASE_NOTES \
	   build/mercury/BUGS build/mercury/HISTORY \
	   build/mercury/LIMITATIONS \
	   build/mercury/NEWS build/mercury/TODO \
	   build/mercury/WORK_IN_PROGRESS debian/mercury/usr/share/doc/mercury/

	touch install-stamp
	
# Build architecture independant packages using the common target.
binary-indep: build install
	dh_testdir
	dh_testroot 
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installinfo -i
	dh_installman -i
	dh_link -i
	dh_compress  -i
	dh_fixperms -i
#	dh_perl
#	dh_python
	dh_makeshlibs -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture dependant packages using the common target.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installinfo -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a 
	dh_fixperms -a
#	dh_perl
#	dh_python
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary binary install configure

## mercury 22.01.8

=== debian/changelog ===
mercury (22.01.8-1~bullseye) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Paul Bone <paul@bone.id.au>  Wed, 17 Jul 2024 16:39:22 +1000

mercury (22.01.8-1) sid; urgency=medium

  * Update upstream version

 -- Paul Bone <paul@bone.id.au>  Tue, 16 Jul 2024 00:10:52 +1000

mercury (22.01-1) mercury-sid; urgency=medium

  * Update upstream version
  * Remove a bad .orig file from debian/
  * Remove build dependency on texi2html (Bug #7)
  * Remove build dependency on makeinfo
  * Add build dependency on info
  * Build PDF and PostScript documentation
 
 -- Paul Bone <paul@bone.id.au>  Wed, 20 Apr 2022 10:18:11 +1000

mercury (20.01.1-1) mercury-buster; urgency=medium

  * New upstream version
  * Modify the way grades are configured
  * Upgrade to debian compat level 10
  * Fix how version number is set & compiled in
  * Add missing texlive build dependency
  * Parallelise build
  * Bugfix: mercury-hlctrail-dev package the correct files
  * Seperate the remove-paths patch from the version patch
  * Fix package priority
  * Fix some syntax in the copyright file
  * Fix spelling in README.Debian
  * Don't build dbgsym packages
  * Properly clean .cvsignore files

 -- Paul Bone <paul@bone.id.au>  Wed, 14 Nov 2018 22:46:00 +1100

mercury (14.01.1-2) mercury-sid; urgency=low

  * Build for sid.

 -- Paul Bone <paul@bone.id.au>  Mon, 27 Mar 2017 23:28:54 +1100

mercury (14.01.1-1) mercury-jessie; urgency=low

  * Initial release.

 -- Paul Bone <paul@bone.id.au>  Sun, 12 Mar 2017 15:15:47 +1100

=== debian/control ===
Source: mercury
Section: devel
Priority: optional
Maintainer: Paul Bone <paul@bone.id.au>
Build-Depends: debhelper (>=10), autoconf, automake, flex, bison,
  libreadline-dev, texinfo, texlive, info, libhwloc-dev, pkg-config
Standards-Version: 3.9.7
Homepage: http://mercurylang.org

Package: mercury-tools
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, perl, gcc
Recommends: mercury-gc-dev,
  mercury-hlc-dev | mercury-hlcpar-dev | mercury-hlctrail-dev |
  mercury-llc-dev | mercury-llcpar-dev | mercury-llctrail-dev
Suggests: mercury-docs, mercury-examples, mercury-devel
Conflicts: mercury-tools
Description: Mercury programming language tools
 ${about-mercury}
 .
 This package contains the compiler, debugging and profiling tools.

Package: mercury-recommended
Architecture: any
Depends: ${misc:Depends}, mercury-tools,
  mercury-hlc-dev, mercury-hlcpar-dev,
  mercury-llc-dev, mercury-llcpar-dev,
  mercury-devel, mercury-docs
Description: Mercury programming language tools
 ${about-mercury}
 .
 This meta-package depends on packages for a reasonable Mercury development
 environment.

Package: mercury-gc
Architecture: i386 amd64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: mercury-gc
Description: Mercury programming language garbage collector
 ${about-mercury}
 .
 This package contains the Mercury fork of the Boehm-Demers-Weiser garbage
 collector required to run Mercury programs.

Package: mercury-gc-dev
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, mercury-gc (= ${binary:Version})
Recommends: mercury-tools
Conflicts: mercury-gc-dev
Description: Mercury programming language garbage collector
 ${about-mercury}
 .
 This package contains the header files and static libraries for the Mercury
 fork of the Boehm-Demers-Weiser garbage collector required to run Mercury
 programs.  It also contains a number of grade-agnostic development files.

Package: mercury-hlc
Architecture: i386 amd64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, mercury-gc (= ${binary:Version})
Conflicts: mercury-hlc
Description: Mercury programming language runtime (hlc.gc)
 ${about-mercury}
 .
 This package contains dynamic libraries for Mercury programs built in the
 hlc.gc grade.

Package: mercury-hlc-dev
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, mercury-gc-dev (= ${binary:Version}),
  mercury-hlc (= ${binary:Version})
Recommends: mercury-tools (= ${binary:Version})
Conflicts: mercury-hlc-dev
Description: Mercury programming language development files (hlc.gc)
 ${about-mercury}
 .
 This package contains header files, interface files and static libraries for
 the hlc.gc grade.

Package: mercury-hlcpar
Architecture: i386 amd64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, mercury-gc (= ${binary:Version})
Conflicts: mercury-hlcpar
Description: Mercury programming language runtime (hlc.par.gc)
 ${about-mercury}
 .
 This package contains dynamic libraries for Mercury programs built in the
 hlc.par.gc grade.

Package: mercury-hlcpar-dev
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, libhwloc-dev, 
  mercury-gc-dev (= ${binary:Version}), mercury-hlcpar (= ${binary:Version})
Recommends: mercury-tools (= ${binary:Version})
Conflicts: mercury-hlcpar-dev
Description: Mercury programming language development files (hlc.par.gc)
 ${about-mercury}
 .
 This package contains header files, interface files and static libraries for
 the hlc.par.gc grade.

Package: mercury-hlctrail
Architecture: i386 amd64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, mercury-gc (= ${binary:Version})
Conflicts: mercury-hlctrail
Description: Mercury programming language runtime (hlc.gc.tr)
 ${about-mercury}
 .
 This package contains dynamic libraries for Mercury programs built in the
 hlc.gc.tr grade.

Package: mercury-hlctrail-dev
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, mercury-gc-dev (= ${binary:Version}),
  mercury-hlctrail (= ${binary:Version})
Recommends: mercury-tools (= ${binary:Version})
Conflicts: mercury-hlctrail-dev
Description: Mercury programming language development files (hlc.gc.tr)
 ${about-mercury}
 .
 This package contains header files, interface files and static libraries for
 the hlc.gc.tr grade.

Package: mercury-llc
Architecture: i386 amd64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, mercury-gc (= ${binary:Version})
Conflicts: mercury-llc
Description: Mercury programming language runtime (asm_fast.gc)
 ${about-mercury}
 .
 This package contains dynamic libraries for Mercury programs built in the
 asm_fast.gc grade.

Package: mercury-llc-dev
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, mercury-gc-dev (= ${binary:Version}),
  mercury-llc (= ${binary:Version})
Recommends: mercury-tools (= ${binary:Version})
Conflicts: mercury-llc-dev
Description: Mercury programming language development files (asm_fast.gc)
 ${about-mercury}
 .
 This package contains header files, interface files and static libraries for
 the asm_fast.gc grade.

Package: mercury-llcpar
Architecture: i386 amd64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, mercury-gc (= ${binary:Version})
Conflicts: mercury-llcpar
Description: Mercury programming language runtime (asm_fast.par.gc.stseg)
 ${about-mercury}
 .
 This package contains dynamic libraries for Mercury programs built in the
 asm_fast.par.gc.stseg grade.

Package: mercury-llcpar-dev
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, libhwloc-dev,
  mercury-gc-dev (= ${binary:Version}), mercury-llcpar (= ${binary:Version})
Recommends: mercury-tools (= ${binary:Version})
Conflicts: mercury-llcpar-dev
Description: Mercury programming language dev files (asm_fast.par.gc.stseg)
 ${about-mercury}
 .
 This package contains header files, interface files and static libraries for
 the asm_fast.par.gc.stseg grade.

Package: mercury-llctrail
Architecture: i386 amd64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, mercury-gc (= ${binary:Version})
Conflicts: mercury-llctrail
Description: Mercury programming language runtime (asm_fast.gc.tr)
 ${about-mercury}
 .
 This package contains dynamic libraries for Mercury programs built in the
 asm_fast.gc.tr grade.

Package: mercury-llctrail-dev
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, mercury-gc-dev (= ${binary:Version}),
  mercury-llctrail (= ${binary:Version})
Recommends: mercury-tools (= ${binary:Version})
Conflicts: mercury-llctrail-dev
Description: Mercury programming language development files (asm_fast.gc.tr)
 ${about-mercury}
 .
 This package contains header files, interface files and static libraries for
 the asm_fast.gc.tr grade.

Package: mercury-devel
Architecture: i386 amd64
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, mercury-gc (= ${binary:Version}),
  mercury-gc-dev (= ${binary:Version}), libreadline-dev
Recommends: mercury-tools (= ${binary:Version})
Conflicts: mercury-devel
Description: Mercury programming language debugging and profiling grades
 ${about-mercury}
 .
 This package contains header files and libraries (shared and dynamic) for
 Mercury programs using the: asm_fast.gc.decldebug.stseg,
 asm_fast.gc.profdeep.stseg, asm_fast.gc.memprof.stseg and
 asm_fast.gc.prof.stseg grades.

Package: mercury-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Conflicts: mercury-docs
Description: Mercury programming language documentation
 ${about-mercury}
 .
 This package contains the documentation.

Package: mercury-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Conflicts: mercury-examples
Description: Mercury programming language examples and extras
 ${about-mercury}
 .
 This package contains the samples, extras and some benchmarks.  It will
 install their source code in /usr/share/doc/mercury/, it will not attempt to
 build or install these programs and libraries..

Package: mercury-maintainers
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, make, mercury-tools (= ${binary:Version})
Conflicts: mercury-maintainers, mmake
Description: Mercury programming language maintainers' tools 
 ${about-mercury}
 .
 This package contains tools that are either experimental and rarely used
 (compiler feedback tools), deprecated (mmake) or only of interest to people
 building the Mercury sources themselves (canonical_grade).
